> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gnosispay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Confirm the payment for a Physical Card Order

> This endpoint marks the Card Order with `orderId` as paid. Even if the card is free, you need to call this endpoint to confirm the payment.



## OpenAPI

````yaml https://api.gnosispay.com/api-docs/spec.json put /api/v1/order/{orderId}/confirm-payment
openapi: 3.0.0
info:
  title: GnosisPay API
  version: 1.0.0
  description: OpenAPI documentation for GnosisPay
servers:
  - url: https://api.gnosispay.com
security: []
tags:
  - name: Account Management
    description: Information about your Account
  - name: Authentication
    description: Authenticate to our API using SIWE
  - name: Card Management
    description: Manage all your Cards
  - name: IBAN
    description: Integrate with Monerium to issue IBANs
  - name: KYC
    description: KYC using Sumsub SDK
  - name: Physical Card Order
    description: Order a Physical Card and manage the process
  - name: Rewards
    description: Cashback Rewards
  - name: Safe Management
    description: Manage your Safe
  - name: Transactions
    description: Manage Card Transactions
  - name: User
    description: Manage User Information
  - name: Webhooks
    description: Manage Webhooks
paths:
  /api/v1/order/{orderId}/confirm-payment:
    put:
      tags:
        - Physical Card Order
      summary: Confirm the payment for a Physical Card Order
      description: >-
        This endpoint marks the Card Order with `orderId` as paid. Even if the
        card is free, you need to call this endpoint to confirm the payment.
      parameters:
        - in: path
          name: orderId
          required: true
          description: The unique identifier of the card order.
          schema:
            type: string
      responses:
        '200':
          description: Transaction successfully attached to the card order.
          content:
            application/json:
              schema:
                type: object
                properties:
                  ok:
                    type: boolean
                    description: Indicates if the operation was successful.
                    example: true
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    properties:
                      message:
                        type: string
                        description: Card Order is not in the correct status.
                        example: Card Order is not in the correct status
                  - type: object
                    properties:
                      message:
                        type: string
                        description: No transaction hash found for this order.
                        example: No transaction hash found for this order
                  - type: object
                    properties:
                      message:
                        type: string
                        description: Could not find payment in transaction hash.
                        example: Could not find payment in transaction hash
        '401':
          $ref: '#/components/responses/UnauthorizedError'
        '404':
          description: Card order not found.
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    description: Details about the error.
                    example: Card order not found.
        '500':
          description: Internal server error.
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    description: Details about the server error.
                    example: An unexpected error occurred.
      security:
        - bearerAuth: []
components:
  responses:
    UnauthorizedError:
      description: Unauthorized Error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````